%global short_name commons-math3

Name:             apache-commons-math
Version:          3.6.1
Release:          %mkrel 3
Summary:          Java library of lightweight mathematics and statistics components
Group:            Development/Java
License:          ASL 1.1 and ASL 2.0 and BSD
URL:              http://commons.apache.org/math/
Source0:          http://www.apache.org/dist/commons/math/source/%{short_name}-%{version}-src.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache.commons:commons-parent:pom:)
BuildArch:        noarch

%description
Commons Math is a library of lightweight, self-contained mathematics and
statistics components addressing the most common problems not available in the
Java programming language or Commons Lang.


%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%autosetup -n %{short_name}-%{version}-src -p1

# Skip test that fails on Java 11
sed -i -e '/checkMissingFastMathClasses/i@Ignore' \
src/test/java/org/apache/commons/math3/util/FastMathTest.java

# Compatibility links
%mvn_alias "org.apache.commons:%{short_name}" "%{short_name}:%{short_name}"
%mvn_file :%{short_name} %{short_name} %{name}


%build
%mvn_build -- -Dmaven.compiler.source=1.8 -Dmaven.compiler.target=1.8


%install
%mvn_install


%files -f .mfiles
%doc NOTICE.txt RELEASE-NOTES.txt
%license LICENSE.txt


%files javadoc -f .mfiles-javadoc
%doc NOTICE.txt
%license LICENSE.txt




%changelog
* Sun Aug 23 2020 neoclust <neoclust> 3.6.1-3.mga8
+ Revision: 1618211
- Fix build with java 11

* Sun Feb 16 2020 umeabot <umeabot> 3.6.1-2.mga8
+ Revision: 1530474
- Mageia 8 Mass Rebuild

* Wed Aug 28 2019 daviddavid <daviddavid> 3.6.1-1.mga8
+ Revision: 1434886
- Update to 3.6.1

* Thu Sep 20 2018 umeabot <umeabot> 3.4.1-7.mga7
+ Revision: 1277590
- Mageia 7 Mass Rebuild

* Wed May 17 2017 neoclust <neoclust> 3.4.1-6.mga6
+ Revision: 1102524
- Fix Build

* Wed Mar 02 2016 neoclust <neoclust> 3.4.1-5.mga6
+ Revision: 982036
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 3.4.1-4.mga6
+ Revision: 975463
- First rebuild of the java stack
- sync package apache-commons-math with fedora

* Sun Dec 20 2015 zezinho <zezinho> 3.5-1.mga6
+ Revision: 912443
- new version

* Thu Jan 01 2015 pterjan <pterjan> 3.3-2.mga5
+ Revision: 807968
- Enable tests, only one sometimes fails, and build always fails when they are disabled
- Clean rebuild
- Sync with Fedora 21 (update to 3.3)

* Wed Oct 15 2014 umeabot <umeabot> 3.2-5.mga5
+ Revision: 746430
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2-4.mga5
+ Revision: 677817
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.2-3.mga4
+ Revision: 545711
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 3.2-2.mga4
+ Revision: 501608
- Remove old changelog

* Wed Oct 16 2013 dmorgan <dmorgan> 3.2-1.mga4
+ Revision: 501520
- Disable tests
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 3.1.1-1.mga4
+ Revision: 453178
- New version

* Fri Jan 18 2013 dmorgan <dmorgan> 3.1-1.mga3
+ Revision: 389268
- Adapt to mageia
- imported package apache-commons-math


* Sun Dec 30 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.1-1
- Update to 3.1

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Mar 22 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 3.0-1
- Update to 3.0

* Mon Jan 16 2012 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.2-3
- Add missing apache-rat-plugin dependency
- Use Maven 3
- Spec cleanup

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Mar 10 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 2.2-1
- Update to 2.2

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 29 2010 Mat Booth <fedora@matbooth.co.uk> 2.1-3
- Drop versioned jars and javadocs, fixes F15 upgrade path.

* Fri Oct 22 2010 Chris Spike <chris.spike@arcor.de> 2.1-2
- Fixed maven-surefire-plugin BR for F14

* Fri Oct 22 2010 Chris Spike <chris.spike@arcor.de> 2.1-1
- Updated to 2.1
- Removed dependency on main package for -javadoc subpackage
- Fixed maven depmap entry
- Added jarfile symlinks (rhbz#612455)
- Added javadoc symlinks
- Added license file to -javadoc subpackage

* Wed Feb  3 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 2.0-6
- Add missing %%post/%%postun Requires
- Use macro %%{_mavendepmapfragdir} instead of %%{_datadir}/maven2/pom
- Unown directories %%{_mavenpomdir} and %%{_mavendepmapfragdir}

* Wed Jan 20 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 2.0-5
- Drop duplicate BuildRequires maven2

* Fri Jan  8 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 2.0-4
- Update description
- Add ASL 1.1 and BSD to License tag

* Thu Jan  7 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 2.0-3
- Change RPM name from "jakarta-commons-math" to "apache-commons-math"

* Sun Jan  3 2010 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 2.0-2
- Update Summary tag

* Mon Dec 28 2009 ELMORABITY Mohamed <melmorabity@fedoraproject.org> 2.0-1
- Initial RPM release
